API ReferenceManagementFlow Management
POST
/v1/mgmt/flow

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

flowId*string
Length1 <= length <= 254
metadata*object

Used by managementservice snapshots - make sure not to break compatibility

contents*object
screens?array<ExportedScreen>
references?object

Used by managementservice snapshots - make sure not to break compatibility

Create or update a single flow from its exported representation, remapping any connector and role references to matching entities in the project, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/flow" \  -H "Content-Type: application/json" \  -d '{    "flowId": "string",    "metadata": {      "name": "string"    },    "contents": {}  }'
Was this helpful?